Package com.documentum.fc.client

# Interface IDfRetainerFactory

public interface IDfRetainerFactory
This class provides calls to create dmRetainer objects.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfRetainer`
  `newRetainerForContainer(IDfPersistentObject rootObject)`
  Creates IDfRetainer to apply retention to a group of objects.
  `IDfRetainer`
  `newRetainerForContainerId(IDfSession session, IDfId rootObjectId)`
  Creates IDfRetainer to apply retention to a group of objects.
  `IDfRetainer`
  `newRetainerForObject(IDfPersistentObject rootObject)`
  Creates IDfRetainer to apply retention to a single object.
  `IDfRetainer`
  `newRetainerForObjectId(IDfSession session, IDfId rootObjectId)`
  Creates IDfRetainer to apply retention to a single object.

- ## Method Details

  - ### newRetainerForObject

    IDfRetainer newRetainerForObject(IDfPersistentObject rootObject) throws DfException
    Creates IDfRetainer to apply retention to a single object.
    Parameters:
      `rootObject` - object for which retention will be applied.
    Returns:
      IDfRetainer object
    Throws:
      `DfException`
    Since:
      5.3

  - ### newRetainerForContainer

    IDfRetainer newRetainerForContainer(IDfPersistentObject rootObject) throws DfException
    Creates IDfRetainer to apply retention to a group of objects.
    Parameters:
      `rootObject` - object which defines group over which retention will be applied.
    Returns:
      IDfRetainer object
    Throws:
      `DfException`
    Since:
      5.3

  - ### newRetainerForObjectId

    IDfRetainer newRetainerForObjectId(IDfSession session, IDfId rootObjectId) throws DfException
    Creates IDfRetainer to apply retention to a single object.
    Parameters:
      `session` - session context for creation of the object.
      `rootObjectId` - object for which retention will be applied.
    Returns:
      IDfRetainer object
    Throws:
      `DfException`
    Since:
      5.3

  - ### newRetainerForContainerId

    IDfRetainer newRetainerForContainerId(IDfSession session, IDfId rootObjectId) throws DfException
    Creates IDfRetainer to apply retention to a group of objects.
    Parameters:
      `session` - session context for creation of the object.
      `rootObjectId` - object which defines group over which retention will be applied.
    Returns:
      IDfRetainer object
    Throws:
      `DfException`
    Since:
      5.3